URL structure
{keyId} is the ID of a cryptographic key.
Supported methods and overview
DELETE- deletes an unallocated cryptographic key (i.e. the key specified bykeyIdthat has not been associated with a file object or version) to avoid breaching the unallocated keys limit.
This method takes no parameters.
Detailed description
This API endpoint deletes an unallocated cryptographic key (i.e. the key specified bykeyId that has not been associated with a file object or version). This allows the generation of more (unallocated) cryptographic keys and helps avoid breaching the unallocated keys limit (which is 100 per user’s session/valid access token).
Unallocated keys typically result from failures in associating a key with a file object (i.e. initializing an Incomplete file object).
Supported roles and conditions
This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Organization Administrator’s Guide) and conditions:- Originator, Collaborator and Ad hoc - when this user generated the key specified by the
{keyId}of the request’s URL.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
